% Copyright (C) -- see WavmatQND/Copyright

clear
close all
clc

fprintf(1,'\t\n')
fprintf(1,'\tThis demo shows an example of non-decimated quaternion wavelet transform of 1D signal and its wavelet-based spectra on modulus and three phases\n')

load pupil.mat % load 1D signal data for NDQWT: pupilary signal 

len = length(pupil); % size of signal
L=1; % L - degree of coarsest scale
k1=3; % k1 -  minimal level for slope calculation 
k2=floor(log2(len)-1); % k2 -  maximal level for slope calculation 
load 'quaternionfilter.mat'  
wf_q = Filt; % wf_q - non-trivial quaternion scaling filter with length=10, vanishing moment=5
ismean = 1; % 1 for using mean and 0 for using median
isplot=1; % 1 for plotting and 0 otherwise

[modslope, modlog2spec, phase1spec, phase2spec, phase3spec, scales] = waveletspectra_1D_NDQWT(pupil,L,wf_q,k1,k2,ismean,isplot);

% modslope - scaling slope of modlog2spec by regression fit
% modlog2spec - log2 of levelwise averages of squared modulus of quaternion-valued wavelet
% coefficients
% phase1spec - levelwise averages of first phases of quaternion-valued wavelet coefficients
% phase2spec - levelwise averages of second phases of quaternion-valued wavelet coefficients
% phase3spec - levelwise averages of third phases of quaternion-valued wavelet coefficients
% scales - scales (L,J-1)