% Copyright (C) -- see WavmatQND/Copyright

clear
close all
clc

fprintf(1,'\t\n')
fprintf(1,'\tThis demo shows an example of non-decimated quaternion wavelet transform of 2D image and its wavelet-based spectra on modulus and three phases\n')

load tissue.mat % load 2D image data for NDQWT: a background tissue of a region of interest in a mammogram
figure(1)
imagesc(tissue); 
axis equal tight

[m n]=size(tissue); % size of signal
L=1; % L - degree of coarsest scale
k1=3; % k1 -  minimal level for slope calculation 
k2=floor(floor(log2(min(m,n)))-1); % k2 -  maximal level for slope calculation 
load 'quaternionfilter.mat'  
wf_q = Filt; % wf_q - non-trivial quaternion scaling filter with length=10, vanishing moment=5
ismean = 1; % 1 for using mean and 0 for using median
isplot=1; % 1 for plotting and 0 otherwise

[modslope, modlog2spec, phase1spec, phase2spec, phase3spec, scales] = waveletspectra_2D_NDQWT(tissue,L,wf_q,k1,k2,ismean,isplot);

% modslope - scaling slope of modlog2spec by regression fit
% modlog2spec - log2 of levelwise averages of squared modulus of quaternion-valued wavelet
% coefficients
% phase1spec - levelwise averages of first phases of quaternion-valued wavelet coefficients
% phase2spec - levelwise averages of second phases of quaternion-valued wavelet coefficients
% phase3spec - levelwise averages of third phases of quaternion-valued wavelet coefficients
% scales - scales (L,J-1)