function [modulus, phase1, phase2, phase3] = NDQWT_transform1D(data, wf_q)

% Copyright (C) -- see WavmatQND/Copyright

len = length(data);
k = floor(log2(length(data)))-1;

WND_q = WavmatNDquaternion(wf_q,len,k,0); % matrix for non-decimated quaternion wavelet transform

wddata = WND_q*data; % transform 1D signal
unit_wddata = wddata./abs(wddata);

modulus = abs(wddata); % calculate modulus of quaternion-valued wavelet coefficients
[phase1, phase2, phase3] = quaternionangle(unit_wddata);  % calculate three phases of quaternion-valued wavelet coefficients




