function [modulus, phase1, phase2, phase3] = NDQWT_transform2D(data, wf_f)

% Copyright (C) -- see WavmatQND/Copyright

L=1;
[m, n]=size(data);   
J=floor(log2(min(m,n))); 

WND_Q1=WavmatNDquaternion(wf_f,m,J-L,0); % matrix for non-decimated quaternion wavelet transform for x-axis
if m == n
    WND_Q2 = WND_Q1;
else if m~=n
        WND_Q2=WavmatNDquaternion(wf_f,n,J-L,0); % matrix for non-decimated quaternion wavelet transform for y-axis
    end
end

wddata = WND_Q1*data*transpose(WND_Q2); % transform 2D image
unit_wddata = wddata./abs(wddata);

modulus = abs(wddata); % calculate modulus of quaternion-valued wavelet coefficients
[phase1, phase2, phase3] = quaternionangle(unit_wddata); % calculate phase of quaternion-valued wavelet coefficients














