function [phase1, phase2, phase3] = quaternionangle(data)
% Copyright (C) -- see WavmatQND/Copyright

A = s(data);
B = x(data);
C = y(data);
D = z(data);


phase3 = (-0.5)* asin( 2.*B.*C - 2.*A.*D );

phase1 = 0.5 * atan2( 2.*C.*D + 2.*A.*B, A.^2-B.^2+C.^2-D.^2 );
phase2 = 0.5 * atan2( 2.*B.*D + 2.*A.*C, A.^2+B.^2-C.^2-D.^2 );

ref = find((phase3 == pi/4) | (phase3 == -pi/4));

if isempty(ref) == 0
    phase2(ref,1) = 0;
    phase1(ref,1) = 0.5 * atan2( -2.*C(ref,1).*D(ref,1) + 2.*A(ref,1).*B(ref,1), A(ref,1).^2-B(ref,1).^2-C(ref,1).^2+D(ref,1).^2 );
end
    
    


